Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Identity

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  Canvas, Compartment, Connection, ConnectionFigure, CustomConnection, CustomDecoration, CustomFigure, DecorationFigure, DiagramElement, DiagramLabel, Ellipse, Figure, FigureGallery, Label, LabeledContainer, Node, Polygon, PolygonDecoration, Polyline, PolylineConnection, PolylineDecoration, Rectangle, RoundedRectangle, Shape

All Known Implementing Classes:
  CanvasImpl, CompartmentImpl, ConnectionImpl, CustomConnectionImpl, CustomDecorationImpl, CustomFigureImpl, DiagramElementImpl, DiagramLabelImpl, EllipseImpl, FigureGalleryImpl, LabeledContainerImpl, LabelImpl, NodeImpl, PolygonDecorationImpl, PolygonImpl, PolylineConnectionImpl, PolylineDecorationImpl, PolylineImpl, RectangleImpl, RoundedRectangleImpl, ShapeImpl

public interface Identity
extends EObject

A representation of the model object 'Identity'. Easy and readable way to reference element of the model from another one

The following features are supported:

- `Name`

See Also:
  `GMFGraphPackage.getIdentity()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    public java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `Identity.setName(String)`, `GMFGraphPackage.getIdentity_Name()`
  ** Generated **
  Model:
    id="true" required="true"

### setName

    public void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `Identity.getName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.